<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		HLBM: Highlight Buddy Message
 *
 */ 

if (!defined('SMF')) 
	die('Hacking attempt...');

function HLBM_Main()
{
	global $context, $modSettings, $settings;

	// Load the HLBM language
	loadLanguage('HLBM');

	// Add HLBM CSS
	if (!empty($modSettings['hlbm_enable'])) {
	$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/HLBM.styles.css?fin20" />';
	}
}

function HLBM_Settings(&$config_vars)
{	
	// Load the HLBM language
	loadLanguage('HLBM');

	$hlbm = array(
			// Add HLBM Settings
			'',
			array('check', 'hlbm_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $hlbm);
}
?>